# Uses of Class
org.apache.commons.math3.linear.SparseFieldVector

Packages that use SparseFieldVector
Package
Description
org.apache.commons.math3.linear
Linear algebra support.

## Uses of SparseFieldVector in org.apache.commons.math3.linear

Methods in org.apache.commons.math3.linear that return SparseFieldVector
Modifier and Type
Method
Description
`SparseFieldVector<T>`
SparseFieldVector.`subtract(SparseFieldVector<T> v)`
Optimized method to compute `this` minus `v`.
Methods in org.apache.commons.math3.linear with parameters of type SparseFieldVector
Modifier and Type
Method
Description
`FieldVector<T>`
SparseFieldVector.`add(SparseFieldVector<T> v)`
Optimized method to add sparse vectors.
`FieldVector<T>`
SparseFieldVector.`append(SparseFieldVector<T> v)`
Construct a vector by appending a vector to this vector.
`FieldMatrix<T>`
SparseFieldVector.`outerProduct(SparseFieldVector<T> v)`
Optimized method to compute outer product when both vectors are sparse.
`SparseFieldVector<T>`
SparseFieldVector.`subtract(SparseFieldVector<T> v)`
Optimized method to compute `this` minus `v`.
Constructors in org.apache.commons.math3.linear with parameters of type SparseFieldVector
Modifier
Constructor
Description
``
`SparseFieldVector(SparseFieldVector<T> v)`
Copy constructor.
`protected`
`SparseFieldVector(SparseFieldVector<T> v, int resize)`
Build a resized vector, for use with append.